# class Sass::Script::Value::Null

A SassScript object representing a null value.

### Constants

NULL

  The null value in SassScript.

  This is assigned before new is overridden below so that we use the default implementation.

### Public Class Methods

new() click to toggle source

We override object creation so that users of the core API will not need to know that null is a specific constant.

@private @return [Null] the {NULL} constant.

    # File lib/sass/script/value/null.rb, line 14
    def self.new
      NULL
    end

### Public Instance Methods

inspect() click to toggle source

Returns a string representing a null value.

@return [String]

    # File lib/sass/script/value/null.rb, line 40
    def inspect
      'null'
    end

null?() click to toggle source

@return [Boolean] `true`

    # File lib/sass/script/value/null.rb, line 24
    def null?
      true
    end

to_bool() click to toggle source

@return [Boolean] `false` (the Ruby boolean value)

    # File lib/sass/script/value/null.rb, line 19
    def to_bool
      false
    end

to_s(opts = {}) click to toggle source

@return [String] '' (An empty string)

    # File lib/sass/script/value/null.rb, line 29
    def to_s(opts = {})
      ''
    end

to_sass(opts = {}) click to toggle source

    # File lib/sass/script/value/null.rb, line 33
    def to_sass(opts = {})
      'null'
    end